// HTMLHelpView.h : Schnittstelle der Klasse CHTMLHelpView
//


#pragma once
#include "atltypes.h"


class CHTMLHelpView : public CView
{
protected: // Nur aus Serialisierung erstellen
	CHTMLHelpView();
	DECLARE_DYNCREATE(CHTMLHelpView)

// Attribute
public:
	CHTMLHelpDoc* GetDocument() const;

// Vorgnge
public:

// berschreibungen
public:
	virtual void OnDraw(CDC* pDC);  // berschrieben, um diese Ansicht darzustellen
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Implementierung
public:
	virtual ~CHTMLHelpView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generierte Funktionen fr die Meldungstabellen
protected:
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg LRESULT OnCommandHelp(WPARAM, LPARAM lParam);
	afx_msg LRESULT OnHelpHitTest(WPARAM, LPARAM lParam);
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
private:
	// Der angeklickte Punkte
	CPoint pointClick;
	// Aktuelle Hilfe-ID abrufen:
	int GetHelpID (CPoint pointClicked);
	afx_msg void OnEditMenuepunkt();
};

#ifndef _DEBUG  // Debugversion in HTMLHelpView.cpp
inline CHTMLHelpDoc* CHTMLHelpView::GetDocument() const
   { return reinterpret_cast<CHTMLHelpDoc*>(m_pDocument); }
#endif

